# $Revision: 1.4 $, $Date: 2004/05/06 18:43:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Currency
Summary:	Math::Currency - exact currency math with formatting and rounding
Summary(pl):	Math::Currency - dokadne obliczenia na walutach z formatowaniem i zaokrglaniem
Name:		perl-Math-Currency
Version:	0.39
Release:	1
License:	GPL v1+ or Artistic except commercial distribution on CD-ROM etc.
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f53c41ec41be1bd576def284845e0b16
Patch0:		%{name}-perl_paths.patch
BuildRequires:	perl-Math-BigInt
BuildRequires:	perl(Math::BigFloat) >= 1.27
%if %{with tests}
BuildRequires:	perl-Test-Simple
BuildRequires:	perl(Test::More) >= 0.02
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Currency math is actually more closely related to integer math than it
is to floating point math. Rounding errors on addition and subtraction
are not allowed and division/multiplication should never create more
accuracy than the original values. All currency values should round to
the closest cent or whatever the local equivalent should happen to be.

All common mathematical operations are overloaded, so once you
initialize a currency variable, you can treat it like any number and
the module will do the right thing. This module is a thin layer over
Math::BigFloat which is itself a layer over Math::BigInt.

%description -l pl
Obliczenia na walutach s waciwie blisze obliczeniom na liczbach
cakowitych ni zmiennoprzecinkowych. Bdy zaokrgle przy dodawaniu
i odejmowaniu nie s dozwolone, a dzielenie czy mnoenie nie powinno
da wikszej dokadnoci ni oryginalne wartoci. Wszystkie wartoci
monetarne powinny by zaokrglane do najbliszego centa czy
czegokolwiek bdcego jego lokalnym odpowiednikiem.

Wszystkie zwyke operacje matematyczne s przecione, wic po
zainicjalizowaniu zmiennej monetarnej mona j traktowa jak kad
liczb, a modu zrobi to co trzeba. Ten modu jest cienk warstw
osadzon na Math::BigFloat, ktry z kolei jest warstw na
Math::BigInt.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Math/Currency.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Currency.spec,v $
Revision 1.4  2004/05/06 18:43:16  ankry
- fixed perl-devel BR

Revision 1.3  2004/04/20 23:59:36  ankry
- ported to new bconds

Revision 1.2  2003/12/03 23:10:34  twittner
- fix perl paths

Revision 1.1  2003/06/29 16:11:42  qboosh
- new

